#!/bin/sh
#
# latexdiff Dropscript v0.3 by H. Schulz 07/11/2006
#
apppath=$(dirname "$0")
f1name=$(basename "$1" .tex)
f2name=$(basename "$2" .tex)

#echo "$apppath"
#echo "$f1name"
#echo "$f2name"

f1temp=`mktemp /tmp/XXXXXXXX`
mv "$f1temp" "${f1temp}.tex"
f1temp="${f1temp}.tex"
cp "$1" "$f1temp"
f2temp=`mktemp /tmp/XXXXXXXX`
mv "$f2temp" "${f2temp}.tex"
f2temp="${f2temp}.tex"
cp "$2" "$f2temp"
#echo "$f1temp"
#echo "$f2temp"

wait

if [ "$1" -ot "$2" ]; then
	location=$(dirname "$2")
	cd "${apppath}"
	output="${location}/${f1name}-${f2name}-chbar.tex"
	echo "${f1name}.tex" is older than "${f2name}.tex" >"${location}/chbar.log"
	./chbar.sh "$f1temp" "$f2temp" >"$output" 2>>"${location}/chbar.log"
	sed -i 's/usepackage\[dvips\]/usepackage\[pdftex\]/' "$output" 2>>"${location}/chbar.log"
	echo "chbar finished" >>"${location}/chbar.log"
else
	location=$(dirname "$1")
	cd "${apppath}"
	output="${location}/${f2name}-${f1name}-chbar.tex" 
	echo "${f2name}.tex" is older than "${f1name}.tex" >"${location}/chbar.log"
	./chbar.sh  "$f2temp" "$f1temp" >"$output" 2>>"${location}/chbar.log"
	sed -i 's/usepackage\[dvips\]/usepackage\[pdftex\]/' "$output"  2>>"${location}/chbar.log"
	echo "chbar finished" >>"${location}/chbar.log"
fi

rm -f "$f1temp"
rm -f "$f2temp"